Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003067TestLinkRequirement Managementpublic2010-01-14 21:442010-05-01 20:28
ReporterJulian 
Assigned Toasimon 
PriorityhighSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9 Beta 4 
Summary0003067: Generation of Requirement Specification Document
DescriptionThe generation of this requirement specification document should work the same way "Generate Test Specification document" does.
It should also offer appropriate document options that influence the content of the document.

"Generate Document" button should be removed from "requirement specification document page" (to be consistent with test case behaviour)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon TL_Generate_Req_Doc.odt [^] (33,301 bytes) 2010-03-15 20:13

- Relationships
parent of 0002434closedasimon Problem with printing Requirement Specification for a child node 
has duplicate 0003108closedasimon Generate Document must print tree like TC 

-  Notes
(0008694)
fman (administrator)
2010-01-15 15:46

please explain better is not clear
(0008700)
Julian (reporter)
2010-01-15 19:04

we need a posibility to print all requirements and for that we have to generate a document.

For test cases this feature exists and is named "Generate Test Specification document" on main page.
(0009323)
fman (administrator)
2010-03-07 01:54

Reminder sent to: Eloff

do you want/have time to take care of this issue ?
(0009400)
Julian (reporter)
2010-03-15 19:44

First Draft of Document Structure attached.
What do you think ?
(0009401)
Julian (reporter)
2010-03-15 19:46

Reminder sent to: fman, mhavlat

please check attached doc.
(0009672)
asimon (developer)
2010-04-08 22:18

Refactoring of printing feature has been commited to cvs head.
The old print button for req specs has been removed, like it was written in the draft about document structure.

- Issue History
Date Modified Username Field Change
2010-01-14 21:44 Julian New Issue
2010-01-15 15:46 fman Note Added: 0008694
2010-01-15 19:04 Julian Note Added: 0008700
2010-01-22 06:54 fman Status new => assigned
2010-01-22 06:54 fman Assigned To => Julian
2010-01-25 17:31 Julian Assigned To Julian => asimon
2010-01-28 23:07 Julian Relationship added has duplicate 0003108
2010-02-03 19:47 Julian Relationship added parent of 0002434
2010-03-07 01:54 fman Note Added: 0009323
2010-03-15 19:44 Julian File Added: TL_Generate_Req_Doc.odt
2010-03-15 19:44 Julian Note Added: 0009400
2010-03-15 19:46 Julian Note Added: 0009401
2010-03-15 20:13 Julian File Deleted: TL_Generate_Req_Doc.odt
2010-03-15 20:13 Julian File Added: TL_Generate_Req_Doc.odt
2010-03-25 15:56 asimon Status assigned => work in progress
2010-04-08 22:16 asimon Status work in progress => assigned
2010-04-08 22:18 asimon Note Added: 0009672
2010-04-08 22:18 asimon Status assigned => resolved
2010-04-08 22:18 asimon Fixed in Version => 1.9 Beta 4 (Next public build)
2010-04-08 22:18 asimon Resolution open => fixed
2010-05-01 20:28 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker